plugins {
    id 'com.android.library'
    id 'kotlin-android'
}

android {
    compileSdk rootProject.ext.android.compileSdk
    buildToolsVersion rootProject.ext.android.buildToolsVersion

    defaultConfig {
        minSdk rootProject.ext.android.minSdk
        targetSdk rootProject.ext.android.targetSdk
    }

    buildTypes {
        release {
            minifyEnabled rootProject.ext.module.minifyEnabled
            proguardFiles 'proguard-rules.pro'
        }
    }

    buildFeatures {
        buildConfig false
    }

    lintOptions {
        abortOnError false
    }

    compileOptions {
        kotlinOptions.freeCompilerArgs += ['-module-name', "cn.yyxx.eyuangame.impl"]
    }

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

    kotlinOptions {
        jvmTarget = "1.8"
    }
}

dependencies {
    implementation project(':library_comm')
    compileOnly project(':channel_registry:channel_oppo')
    compileOnly project(':channel_registry:channel_vivo')
    compileOnly project(':channel_registry:channel_huawei')
}